# DataExchange
TKVRML
VrmlData

# VrmlData_Faceted Class Reference

`#include <VrmlData_Faceted.hxx>`

Inheritance diagram for VrmlData_Faceted:

[legend]

## Public Member Functions

| VrmlData_Faceted ()
| VrmlData_Faceted (const VrmlData_Scene &theScene, const char *theName, const Standard_Boolean isCCW, const Standard_Boolean isSolid, const Standard_Boolean isConvex, const Standard_Real theCreaseAngle)
Standard_Boolean | IsCCW () const
Standard_Boolean | IsSolid () const
Standard_Boolean | IsConvex () const
Standard_Real | CreaseAngle () const
void | SetCCW (const Standard_Boolean theValue)
void | SetSolid (const Standard_Boolean theValue)
void | SetConvex (const Standard_Boolean theValue)
void | SetCreaseAngle (const Standard_Real theValue)

## Protected Member Functions

Standard_EXPORT VrmlData_ErrorStatus | readData (VrmlData_InBuffer &theBuffer)

## Private Attributes

Standard_Real | myCreaseAngle
Standard_Boolean | myIsCCW: 1
Standard_Boolean | myIsSolid: 1
Standard_Boolean | myIsConvex: 1

## Detailed Description

Common API of faceted Geometry nodes: IndexedFaceSet, ElevationGrid, Extrusion.

## Constructor & Destructor Documentation

VrmlData_Faceted::VrmlData_Faceted | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_Faceted::VrmlData_Faceted | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const Standard_Boolean | isCCW,
|  | const Standard_Boolean | isSolid,
|  | const Standard_Boolean | isConvex,
|  | const Standard_Real | theCreaseAngle
| ) | `[inline]`

| Empty constructor

## Member Function Documentation

Standard_Real VrmlData_Faceted::CreaseAngle | ( |  | ) | const`[inline]`

| Query the Crease Angle

Standard_Boolean VrmlData_Faceted::IsCCW | ( |  | ) | const`[inline]`

| Query "Is Counter-Clockwise" attribute

Standard_Boolean VrmlData_Faceted::IsConvex | ( |  | ) | const`[inline]`

| Query "Is Convex" attribute

Standard_Boolean VrmlData_Faceted::IsSolid | ( |  | ) | const`[inline]`

| Query "Is Solid" attribute

Standard_EXPORT VrmlData_ErrorStatus VrmlData_Faceted::readData | ( | VrmlData_InBuffer & | theBuffer | ) | `[protected]`

void VrmlData_Faceted::SetCCW | ( | const Standard_Boolean | theValue | ) | `[inline]`

| Set "Is Counter-Clockwise" attribute

void VrmlData_Faceted::SetConvex | ( | const Standard_Boolean | theValue | ) | `[inline]`

| Set "Is Convex" attribute

void VrmlData_Faceted::SetCreaseAngle | ( | const Standard_Real | theValue | ) | `[inline]`

| Set "Is Convex" attribute

void VrmlData_Faceted::SetSolid | ( | const Standard_Boolean | theValue | ) | `[inline]`

| Set "Is Solid" attribute

## Field Documentation

Standard_Real VrmlData_Faceted::myCreaseAngle `[private]`

Standard_Boolean VrmlData_Faceted::myIsCCW `[private]`

Standard_Boolean VrmlData_Faceted::myIsConvex `[private]`

Standard_Boolean VrmlData_Faceted::myIsSolid `[private]`

The documentation for this class was generated from the following file:

- VrmlData_Faceted.hxx